// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
funcprot(0);
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

gamma=6.668E-11; // Gravitationskonstante

Ms=1.99E+30; // Masse der Sonne
Me=5.98E+24; // Masse der Erde
Mm=7.35E+22; // Masses des Mondes

Re=6.37E+6; // Radius der Erde

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function longh=flongh(longf)
    if longf>180 then
        longh=longf-360;
    else
        longh=longf;
    end
endfunction   

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// main
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// 2 x Hantellänge
lh=15000;

// Hantelmasse; Gesamtmasse 2*m
mh=5; // kg

rs=Re+500000; // m

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

c1=(6/2)*gamma*mh*Me*lh^2/rs^3;

disp(c1);

// Drehmoment

function dm=fdm(psi)
    dm=c1*sin(2*psi);
endfunction

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

steps=100;
// phiData=linspace(-%pi/2,%pi/2,steps);

nullxData=linspace(-100,100,steps);

dmData=fdm(nullxData*%CL_deg2rad);

nullyData=zeros(dmData);

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

my_handle=scf(1);
clf(my_handle,"reset");
a=gca();

drawlater();

xtitle ( " Drehmoment an der Hantel gegen Winkel Psi" ,..
         " Winkel Psi [rad] ",..
         " Drehemoment [Nm] " );

a.labels_font_size=3;
a.x_label.font_size = 3;
a.y_label.font_size = 3;
a.title.font_size = 3;

plot2d(nullxData,nullyData,5);
plot2d(nullxData,dmData,2);

drawnow();








